<template>
    <div>
        <Affichage :probleme="probleme" :isProfilProfesseur="true" />
    </div>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import { Prop } from 'vue-property-decorator';
import Axios from '@/auth/axiosAuth';
import Affichage from './AffichageTesuji.vue';
import Tesuji from '@/classes/Tesuji';
@Component({
    components: { Affichage }
})
export default class LireTesuji extends Vue {
    @Prop() id: string;

    probleme: Tesuji = null;

    beforeRouteEnter(to, from, next) {
        next(vm => {
            Axios.get('tesuji/' + to.params.id, response => {
                const tesuji = new Tesuji();
                tesuji.mapperJson(response.data);
                vm.probleme = tesuji;
            });
        });
    }
}
</script>
